org.eclipse.emf.cdo.spi.server

## Class RepositoryActivityLog

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.net4j.util.lifecycle.LifecycleHook<IRepository>
      - - org.eclipse.emf.cdo.spi.server.RepositoryActivityLog

- All Implemented Interfaces:
    INotifier, IDeactivateable, ILifecycle, ILifecycle.DeferrableActivation, Log
  Direct Known Subclasses:
    RepositoryActivityLog.Rolling

      public abstract class RepositoryActivityLog
      extends LifecycleHook<IRepository>
      implements Log

  Since:
    4.7
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RepositoryActivityLog.Factory`
    `static class` | `RepositoryActivityLog.Rolling`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryActivityLog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `commitFinished(IStoreAccessor.CommitContext commitContext, int concurrentCommits)`
    `protected void` | `commitStarted(IStoreAccessor.CommitContext commitContext, int concurrentCommits, int commits)`
    `protected java.lang.String` | `formatSession(ISession session)`
    `protected java.lang.String` | `formatUser(ISession session)`
    `protected java.lang.String` | `formatView(IView view)`
    `IRepository` | `getRepository()`
    `protected void` | `hookDelegate(IRepository repository)`
    `protected void` | `sessionClosed(ISession session, int concurrentSessions)`
    `protected void` | `sessionOpened(ISession session, int concurrentSessions, int sessions)`
    `void` | `setRepository(IRepository repository)`
    `protected void` | `transactionClosed(ITransaction transaction, int concurrentTransactions)`
    `protected void` | `transactionOpened(ITransaction transaction, int concurrentTransactions, int transactions)`
    `protected void` | `unhookDelegate(IRepository repository)`
    `protected void` | `viewClosed(IView view, int concurrentViews)`
    `protected void` | `viewOpened(IView view, int concurrentViews, int views)`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.LifecycleHook

      `delegateAboutToActivate, delegateAboutToDeactivate, delegateActivated, delegateChanged, delegateDeactivated, delegateEvent, doActivate, doDeactivate, getDelegate, hookInactiveDelegates, setDelegate`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.om.log.Log

      `log`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### RepositoryActivityLog

          public RepositoryActivityLog()

  - ### Method Detail

    - #### getRepository

          public IRepository getRepository()

    - #### setRepository

          public void setRepository(IRepository repository)

    - #### sessionOpened

          protected void sessionOpened(ISession session,
                                       int concurrentSessions,
                                       int sessions)

    - #### sessionClosed

          protected void sessionClosed(ISession session,
                                       int concurrentSessions)

    - #### viewOpened

          protected void viewOpened(IView view,
                                    int concurrentViews,
                                    int views)

    - #### viewClosed

          protected void viewClosed(IView view,
                                    int concurrentViews)

    - #### transactionOpened

          protected void transactionOpened(ITransaction transaction,
                                           int concurrentTransactions,
                                           int transactions)

    - #### transactionClosed

          protected void transactionClosed(ITransaction transaction,
                                           int concurrentTransactions)

    - #### commitStarted

          protected void commitStarted(IStoreAccessor.CommitContext commitContext,
                                       int concurrentCommits,
                                       int commits)

    - #### commitFinished

          protected void commitFinished(IStoreAccessor.CommitContext commitContext,
                                        int concurrentCommits)

    - #### formatSession

          protected java.lang.String formatSession(ISession session)

    - #### formatUser

          protected java.lang.String formatUser(ISession session)

    - #### formatView

          protected java.lang.String formatView(IView view)

    - #### hookDelegate

          protected void hookDelegate(IRepository repository)

      Overrides:
        `hookDelegate` in class `LifecycleHook<IRepository>`

    - #### unhookDelegate

          protected void unhookDelegate(IRepository repository)

      Overrides:
        `unhookDelegate` in class `LifecycleHook<IRepository>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html